This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989203 - Unable to resize window width using a mouse
Unable to resize window width using a mouse
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 06:14 EDT by Fred New
Modified: 2015-02-18 09:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:02:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of a window (21.58 KB, image/png)
2013-08-03 12:39 EDT, Fred New
no flags Details

  None (edit)
Description Fred New 2013-07-28 06:14:08 EDT
Description of problem:
When I open a window in an XFCE session, I can use the mouse to resize the upper and lower edges of the window, but the resize symbol doesn't appear when I roll the mouse over the left and right edges.

Version-Release number of selected component (if applicable):
xfce4-session-4.10.1-1.fc19.i686

How reproducible:
Always

Steps to Reproduce:
1. Log into an XFCE session.
2. Open Accessories -> gedit
3. Make sure gedit isn't using a full screen.
4. Try to resize the width of the window by rolling the mouse over the left or right edges.

Actual results:
The resize symbol (an arrow with a verticle bar) doesn't appear when you roll the left or right edges. In fact, the window doesn't seem to have a visible left or right border. The resize symbol will appear in the corners or on the upper and lower edges.

Expected results:
I expect a resize symbol to appear when I roll the mouse over the left and right edges AND I expect to be able to resize the window using those symbols.

Additional info:
As a work-around, I can resize the window width using the keyboard - <Alt><Space> Resize. The width can also be resized by rolling the mouse over the corners to get the corner resize symbol.
Comment 1 Kevin Fenzi 2013-07-28 12:13:36 EDT
What theme are you using? 

(settings -> appearance -> style)

If you change this does it start working?
Comment 2 Fred New 2013-07-28 15:36:00 EDT
It had the default style, was that Adwaita? Anyway, changing to something else had no effect.
Comment 3 Fred New 2013-07-29 04:11:58 EDT
I tried this on my F18 computer at work (xfce4-session-4.10.1-1.fc18.x86_64, screen resolution = 1280x1024) and it looks like the area for detecting the mouse is only one pixel wide - very difficult for getting the horizontal sizing symbol to appear. Perhaps this area gets rounded down to less than a pixel wide on my home computer. I'll report on the screen resolution on my F19 computer (at home) in a few hours.
Comment 4 Fred New 2013-07-29 23:46:10 EDT
Screen resolution on my F19 home computer is also 1280x1024.
Comment 5 Kevin Fenzi 2013-08-02 14:45:27 EDT
Yeah, it's a bit more than 1 pixel here, which is why I was wonder what the theme was, since it may depend on how 'thick' the window decorations are. 

You never get a resize on f19 at all? Or it's just very hard to find the right spot? 

Also, to be clear, this happens on all resizable windows? Or just gedit?
Comment 6 Fred New 2013-08-03 12:36:22 EDT
I never get the width resize at all. It is on all windows, I was just using gedit as an example.

Just to make sure, I created a new user with an empty home directory. This happens on my computer using the defaults.

It could be related to the driver for the video card. The lscpi command shows
01:00.0 VGA compatible controller: Matrox Electronics Systems Ltd. Millennium G550 (rev 01)

If I set the appearance to high contrast, windows still have no side borders.
Comment 7 Fred New 2013-08-03 12:39:01 EDT
Created attachment 782342 [details]
Screenshot of a window

This shows how the Appearance Settings application has no side borders.
Comment 8 Moe Ell 2013-08-18 15:01:35 EDT
Same story here with KDE desktop using latest FC19 kernel.

This was working fine and now it just stopped working.

I can't resize vertically but not horizontally and from the corner on all windows!

Please help, the alt workaround is annoying.

Also when I click over the task-bar of the windows, more action - resize (it works).


But I want the usual resize cursor that appear when you approach to the edge of the windows.

Any help?
Comment 9 Moe Ell 2013-08-18 15:12:10 EDT
(In reply to Moe Ell from comment #8)
> Same story here with KDE desktop using latest FC19 kernel.
> 
> This was working fine and now it just stopped working.
> 
> I can't resize vertically but not horizontally and from the corner on all
> windows!
> 
> Please help, the alt workaround is annoying.
> 
> Also when I click over the task-bar of the windows, more action - resize (it
> works).
> 
> 
> But I want the usual resize cursor that appear when you approach to the edge
> of the windows.
> 
> Any help?

I meant I can resize vertically (only from the top edge not the bottom one)
Comment 10 Fedora End Of Life 2015-01-09 17:13:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 09:02:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.